Skip to main content

Required Parameters

POST /api/v5/client/{clientHashId}/customers

Path Params

ParamDescription
clientHashId - string (required)Unique client identifier generated and shared before API handshake.

Body Parameters

FieldM - Mandatory, O - OptionalDescriptionData TypeAccepted values
type (M)MType of the customerenumindividual, corporate
kycType (M)MThe type of KYC that will be performed on this customerenumfull
region (M)MRegulatory region under which the client is onboardedenume.g. AU/SG
externalId (O)OCustomer specified reference IDstringMax 36 char. Alphanumeric. Unique for a customer under a client

Details when kycType=individual

FieldM/ODescriptionData TypeAccepted values
firstName (M)MFirst name of the customerstringMax 40 char
middleName (O)OMiddle name of the customerstringMax 40 char
lastName (M)MLast name of the customerstringMax 40 char
email (M)MEmail of the customerstringMax 60 char; valid email id
nationality (M)MNationality of the customerstringcategory: countryName
mobile (M)MNumeric mobile number without the country codestringmax 15 char
mobileCountryCode (M)MNumeric country code for mobile numbersstringmax 6 char
dateOfBirth (M)MDOB of the customerdateYYYY-MM-DD. Atleast 18 yrs. Should be past date

taxDetails (C)

FieldDescriptionData TypeAccepted values
taxCountry2-letter ISO Alpha-2 country code denoting residenceenumMax 2 char; category: CountryName
taxNumberTax ID number. Send CNPJ for Brazilian Tax NumberstringMax 64

billingAddress (M)

FieldDescriptionData TypeAccepted values
addressLine1 (M)Address line 1stringMax 100 char
addressLine2 (O)Address line 2stringMax 100 char
city (M)CitystringMax 50 char
state (M)Statestring/enumMax 50 char
postcode (M)Post CodestringMax 10 char, Alphanumeric & spaces
country (M)Countryenumcategory: countryName

expectedAccountUsage (M)

credit (M)

FieldDescriptionData TypeAccepted values
monthlyTransactionVolumeMonthly transaction volume range in AUDenumcategory: monthlyTransactionVolume
topTransactionCountriesList of top 5 countriesenumcategory: monthlyTransactionVolume

debit (M)

FieldDescriptionData TypeAccepted values
monthlyTransactionVolumeMonthly transaction volume range in AUDenumcategory: monthlyTransactionVolume
debittopTransactionCountriesList of top 5 countriesenumcategory: monthlyTransactionVolume
FieldDescriptionData TypeAccepted values
intendedUses (M)List of intended usesarray of enumscategory: intendedUseOfAccount
intendedUsesDescription (C)Description if “Others” selectedstringMax 500 char

bankAccountDetails (M)

FieldDescriptionData TypeAccepted values
accountName (M)Name exactly as registeredstringMax 140 char
accountNumber (M)Bank account numberstringMax 35 char
bankCountry (M)ISO 3166-1 alpha-2string
bankAccountType (C)Type of bank accountstringCall Bene schema API
bankName (C)Full legal bank namestringMax 255 char
currency (M)ISO 4217 currencystring
routingCodes.type (M)Type of routing identifierstring"SWIFT"
routingCodes.value (M)Routing code valuestring

deviceDetails (M)

FieldDescriptionData TypeAccepted values
ipCountryCode (M)Country of origin of IPenumcategory: countryName
deviceInfo (M)OS of devicestring
ipAddress (M)IP addressstringvalid IP4 address
sessionId (M)Session IDstring

applicantDeclaration

FieldDescriptionData TypeAccepted values
applicantDeclaration (M)Declaration confirmationbooleantrue
applicantDeclarationTimeStamp (M)Timestampdate

Details required when type=corporate

FieldDescriptionData TypeAccepted values
businessType (M)Business typeenumcategory: businessType
businessName (M)Business namestringMax 80 char
businessRegistrationNumber (M)Registration numberstringMax 30 char
registeredDate (M)Date of registrationdateYYYY-MM-DD
registeredCountry (M)Country of registrationenumcategory: countryName
website (O)WebsitestringMax 255 char
isMultiLayeredCompany (M)Multi-layer ownership existsboolean

Sample Request – Individual Customer

{
"type": "individual",
"kycType": "full",
"region": "SG",
"externalId": "C2ZfvtLAek9FKMmSHY",
"firstName": "Sharma",
"middleName": "",
"lastName": "Test",
"email": "pasumarthi.sashank+480@nium.com",
"nationality": "FR",
"dateOfBirth": "2000-08-01",
"mobile": "2000000467",
"mobileCountryCode": "31",
"website": "www.test4.com",
"tags": [
{
"key": "testing",
"value": "Automation"
},
{
"key": "key1",
"value": "value1"
}
],
"deviceDetails": {
"ipCountryCode": "sg",
"deviceInfo": "MAC",
"ipAddress": "192.168.1.16",
"sessionId": "hello-world"
},
"expectedAccountUsage": {
"intendedUsesDescription": "",
"credit": {
"monthlyTransactionVolume": "MVSG01",
"topTransactionCountries": [
"SG"
]
},
"intendedUses": [
"IU104"
],
"debit": {
"monthlyTransactionVolume": "MVSG01",
"topTransactionCountries": [
"SG"
]
}
},
"bankAccountDetails": {
"accountName": "Shane Sahrma",
"bankName": "Bank of Australia Limited",
"accountNumber": "77802",
"bankCountry": "AU",
"currency": "AUD",
"bankAccountType": "saving",
"routingCodes": [
{
"type": "BSB CODE",
"value": "BOSHHKHH"
}
]
},
"billingAddress": {
"addressLine1": "Test Add 123, Building 1, Block 2, Area 3",
"streetType" : "street type",
"addressLine2": "Test Add 123, Building 1, Block 2, Area 3",
"city": "Lorem ipsum dolor sit amet, consectetuer.",
"state": "ddfd",
"postcode": "SW1W",
"country": "SG"
}
}

Sample Request – Corporate Customer

{
"type": "corporate",
"kycType": "full",
"region": "SG",
"businessName": "ABC corporation",
"businessRegistrationNumber": "ABC26_127",
"registeredDate": "2024-05-21",
"registeredCountry": "SG",
"website": "www.idfc348.com",
"isMultiLayeredCompany": false,
"listedExchange":" Listed Exchange value"
"businessType": "public_company",
"bankAccountDetails": {
"accountName": "Name",
"bankName": "Bank of Australia Limited",
"accountNumber": "GB29NWBK6016133926820",
"currency": "AUD",
"bankAccountType": "saving",
"bankCountry": "AU",
"routingCodes": [
{
"type": "BSB CODE",
"value": "DBSSSGSG"
}
]
},
}
],
"applicantDeclaration": true,
"applicantDeclarationTimeStamp": "2025-08-20 15:49:30",
"addresses": {
"isBusinessAddressSameAsRegisteredAddress": false,
"registeredAddress": {
"addressLine1": "addressLine1",
"addressLine2": "addressLine2",
"city": "city",
"state": "FR-20R",
"postcode": "4857832",
"country": "FR"
},
"businessAddress": {
"addressLine1": "busaddressLine1",
"addressLine2": "addressLine2",
"city": "city",
"state": "FR-20R",
"postcode": "387593",
"country": "FR"
}
},
"applicant": {
"firstName": "applicantFirst",
"middleName": "applicantMiddle",
"lastName": "applicantLast",
"dateOfBirth": "1990-04-21",
"nationality": "SG",
"email": "pasumarthi.shank@trin.com",
"mobile": "7337223608",
"mobileCountryCode": "65",
"sharePercentage": 98,
"address": {
"addressLine1": "applicantLine1",
"addressLine2": "applicantLine2",
"city": "applicantCity",
"state": "FR-20R",
"postcode": "478547",
"country": "FR"
},
"documents": [
{
"type": "power_of_attorney",
"fileIds": [
"087244f3-b4f9-4c54-92df-b472123a6166"
]
}
],
"positions": [
{
"title": "ubo",
"startDate": "2025-04-21"
}
]
},
"stakeholders": {
"individual": [
{
"externalId": "10ab1818-ef2d-44ee-96c0-7d367842d861",
"firstName": "stake1",
"middleName": "stake1Mid",
"lastName": "stake1Last",
"dateOfBirth": "1990-04-21",
"nationality": "LT",
"email": "pasumarthi.sashank@nium.com",
"mobile": "8106869840",
"mobileCountryCode": "65",
"sharePercentage": 80,
"address": {
"addressLine1": "indiviAdd1",
"addressLine2": "indiviAdd2",
"city": "indiviCity",
"state": "FR-20R",
"postcode": "63535",
"country": "FR"
},
"positions": [
{
"title": "DIRECTOR",
"startDate": "2025-04-21"
}
]
},
{
"externalId": "10ab1818-ef2d-44ee-96c0-7d367842d864",
"firstName": "stake2",
"middleName": "stake2Middle1",
"lastName": "stake2Last1",
"dateOfBirth": "2000-04-21",
"nationality": "AU",
"email": "pasumarthi.sashank@nium.com",
"mobile": "8106869830",
"mobileCountryCode": "65",
"sharePercentage": 80,
"address": {
"addressLine1": "indiviAdd1",
"addressLine2": "indiviAdd2",
"city": "indiviCity",
"state": "FR-20R",
"postcode": "63535",
"country": "FR"
},
"positions": [
{
"title": "SETTLOR",
"startDate": "2025-04-21"
}
]
}
],
"corporate": [
{
"externalId": "90ab1818-ef2d-44ee-96c0-7d367842d869",
"businessName": "ABC Pvt Ltd",
"businessRegistrationNumber": "BRN123456",
"listedExchange": " Listed Exchange category"
"registeredCountry": "SG",
"positions": [
{
"title": "UBO"
}
]
}
]
},
"natureOfBusiness": {
"operatingCountries": [
"SG"
],
"industryCodes": [
"IS134"
],
"industryDescription": "industryDescription_864de5f58049"
},
"expectedAccountUsage": {
"intendedUses": [
"IU001"
],
"intendedUsesDescription": "intendedUsesDescription_78d7fdff1d03",
"credit": {
"monthlyTransactionVolume": "MVSG01",
"monthlyTransactions": "ATC01",
"averageTransactionValue": "ATVSG01",
"topTransactionCountries": [
"SG"
],
},
"debit": {
"monthlyTransactionVolume": "MVSG01",
"monthlyTransactions": "ATC01",
"averageTransactionValue": "ATVSG01",
"topTransactionCountries": [
"SG"
],
}
},
"sizeOfBusiness": {
"totalEmployees": "EM006",
"annualTurnover": "EU012"
},
"deviceDetails": {
"ipCountryCode": "sg",
"deviceInfo": "MAC",
"ipAddress": "192.168.1.1",
"sessionId": "40531ac01a6f11edafc28dba55d51275"
},
"tags": [
{
"key": "key_67cef24340df",
"value": "value_56606dcf8aa4"
}
],
"tradeName": "tradeName_f57f429a7dfb",
"documents": [
{
"type": "business_registration_doc",
"fileIds": [
"787244f3-b4f9-4c54-02af-b472123a6067"
]
}
]
}

Responses

Success Response: 200 - OK

Individual Customer – Sample Response

{
"wallets": [
{
"walletHashId": "a2f984d9-c978-4ec7-9dff-7281644efd65",
"walletType": "base"
}
],
"customerHashId": "bec92c44-de95-4f09-8b54-3004548b6643",
"status": "pending",
"subStatus": null,
"type": "individual",
"kycType": "full",
"region": "SG",
"externalId": "C2ZfvtLAek9FKMmSHY",
"tags": [
{
"key": "testing",
"value": "Automation"
},
{
"key": "key1",
"value": "value1"
}
],
"segment": null,
"firstName": "Sharma",
"middleName": "",
"lastName": "Test",
"email": "pasumarthi.sashank+480@nium.com",
"nationality": "FR",
"dateOfBirth": "2000-08-01",
"mobile": "2000000467",
"mobileCountryCode": "31",
"deviceDetails": {
"ipCountryCode": "sg",
"deviceInfo": "MAC",
"ipAddress": "192.168.1.16",
"sessionId": "hello-world"
},
"expectedAccountUsage": {
"intendedUses": [
"IU104"
],
"intendedUsesDescription": "",
"credit": {
"averageTransactionValue": "",
"monthlyTransactionVolume": "MVSG01",
"topTransactionCountries": [
"GB"
]
},
"debit": {
"averageTransactionValue": "ATVSG01",
"monthlyTransactionVolume": "MVSG01",
"topTransactionCountries": [
"GB"
]
}
},
"bankAccountDetails": {
"accountName": "Shane Sahrma",
"accountNumber": "xxxxx",
"bankAccountType": "saving",
"bankName": "Bank of Australia Limited",
"bankCountry": "AU",
"currency": "AUD",
"routingCodes": [
{
"type": "BSB CODE",
"value": "xxxxxxxx"
}
]
},
"billingAddress": {
"addressLine1": "Test Add 123, Building 1, Block 2, Area 3",
"addressLine2": "Test Add 123, Building 1, Block 2, Area 3",
"city": "Lorem ipsum dolor sit amet, consectetuer.",
"postcode": "SW1W",
"country": "AU",
"state": "ddfd"
},
"kycMode": null,
"documents": null
}

Corporate Customer – Sample Response

{
"wallets": [
{
"walletHashId": "d2b709b2-be2b-46ac-aade-3132da8d534e",
"walletType": "base"
}
],
"customerHashId": "14235ce5-a979-4d22-9692-2bdaf486f2d1",
"status": "pending",
"subStatus": null,
"type": "corporate",
"kycType": "full",
"region": "SG",
"externalId": null,
"tags": [
{
"key": "key_67cef24340df",
"value": "value_56606dcf8aa4"
}
],
"segment": null,
"businessName": "ABC Pvt Ltd",
"businessRegistrationNumber": "ABC26_127",
"registeredDate": "2024-05-21",
"registeredCountry": "SG",
"website": "www.idfc348.com",
"businessType": "public_company",
"applicantDeclaration": true,
"applicantDeclarationTimeStamp": "2025-08-20 15:49:30",
"tradeName": "tradeName_f57f429a7dfb",
"isMultiLayeredCompany": false,
"addresses": {
"registeredAddress": {
"addressLine1": "addressLine1",
"addressLine2": "addressLine2",
"city": "city",
"postcode": "4857832",
"country": "FR",
"state": "FR-20R"
},
"isBusinessAddressSameAsRegisteredAddress": false,
"businessAddress": {
"addressLine1": "busaddressLine1",
"addressLine2": "addressLine2",
"city": "city",
"postcode": "387593",
"country": "FR",
"state": "FR-20R"
}
},
"natureOfBusiness": {
"operatingCountries": [
"SG"
],
"industryCodes": [
"IS134"
],
"industryDescription": "industryDescription_864de5f58049"
},
"expectedAccountUsage": {
"intendedUses": [
"IU001"
],
"intendedUsesDescription": "intendedUsesDescription_78d7fdff1d03",
"credit": {
"averageTransactionValue": "ATVSG01",
"monthlyTransactionVolume": "MVSG01",
"monthlyTransactions": "ATC01",
"topTransactionCountries": [
"SG"
],
"topRemitters": [
"TEST"
]
},
"debit": {
"averageTransactionValue": "ATVSG01",
"monthlyTransactionVolume": "MVSG01",
"monthlyTransactions": "ATC01",
"topTransactionCountries": [
"SG"
],
"topBeneficiaries": [
"topBeneficiaries_7aaf5e207bab"
]
}
},
"sizeOfBusiness": {
"totalEmployees": "EM006",
"annualTurnover": "EU012"
},
"deviceDetails": {
"ipCountryCode": "sg",
"deviceInfo": "MAC",
"ipAddress": "192.168.1.1",
"sessionId": "40531ac01a6f11edafc28dba55d51275"
},
"bankAccountDetails": {
"accountName": "Name",
"accountNumber": "xxxxxxxxxxxxxxxxxxxxx",
"bankAccountType": "saving",
"bankName": "Bank of Australia Limited",
"bankCountry": "AU",
"currency": "AUD",
"routingCodes": [
{
"type": "BSB Code",
"value": "xxxxxxxx"
}
]
},
"applicant": {
"externalId": null,
"firstName": "applicantFirst",
"middleName": "applicantMiddle",
"lastName": "applicantLast",
"dateOfBirth": "1990-04-21",
"nationality": "SG",
"email": "pasumarthi.sashank@nium.com",
"mobile": "7337223608",
"mobileCountryCode": "65",
"sharePercentage": 98,
"address": {
"addressLine1": "applicantLine1",
"addressLine2": "applicantLine2",
"city": "applicantCity",
"postcode": "478547",
"country": "FR",
"state": "FR-20R"
},
"positions": [
{
"title": "ubo",
"startDate": "2025-04-21"
}
],
"documents": [
{
"type": "power_of_attorney",
"fileIds": [
"087244f3-b4f9-4c54-92df-b472123a6166"
],
"identificationNumber": null,
"issuanceCountry": null,
"expiryDate": null
}
],
"referenceId": "b4b42891-29c3-4cbb-a6eb-236e2a491598"
},
"stakeholders": {
"individual": [
{
"externalId": "10ab1818-ef2d-44ee-96c0-7d367842d861",
"firstName": "stake1",
"middleName": "stake1Mid",
"lastName": "stake1Last",
"dateOfBirth": "1990-04-21",
"nationality": "LT",
"email": "pasumarthi.sashank@nium.com",
"mobile": "8106869840",
"mobileCountryCode": "65",
"sharePercentage": 80,
"address": {
"addressLine1": "indiviAdd1",
"addressLine2": "indiviAdd2",
"city": "indiviCity",
"postcode": "63535",
"country": "FR",
"state": "FR-20R"
},
"positions": [
{
"title": "DIRECTOR",
"startDate": "2025-04-21"
}
],
"kycMode": null,
"documents": null,
"referenceId": "8d8a36d9-0909-43e9-88a4-7907454afccc"
}
],
"corporate": [
{
"externalId": "90ab1818-ef2d-44ee-96c0-7d367842d869",
"businessName": "ABC Pvt Ltd",
"businessRegistrationNumber": "BRN123456",
"registeredCountry": "SG",
"sharePercentage": null,
"positions": [
{
"title": "UBO",
"startDate": null
}
],
"referenceId": "5d866918-06d6-44fb-bf34-0041ecfb6f3b"
},
]
},
"documents": [
{
"type": "business_registration_doc",
"fileIds": [
"787244f3-b4f9-4c54-02af-b472123a6067"
]
}
]
}